# Uses of Interface
org.eclipse.birt.chart.model.attribute.TextAlignment

Packages that use TextAlignment
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of TextAlignment in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return TextAlignment
Modifier and Type
Method
Description
`TextAlignment`
GObjectFactory.`copyOf(TextAlignment src)`
`TextAlignment`
IGObjectFactory.`copyOf(TextAlignment src)`
`TextAlignment`
GObjectFactory.`createTextAlignment()`
`TextAlignment`
IGObjectFactory.`createTextAlignment()`
Methods in org.eclipse.birt.chart.computation with parameters of type TextAlignment
Modifier and Type
Method
Description
`TextAlignment`
GObjectFactory.`copyOf(TextAlignment src)`
`TextAlignment`
IGObjectFactory.`copyOf(TextAlignment src)`
`FontDefinition`
GObjectFactory.`createFontDefinition(String sName, float fSize, boolean bBold, boolean bItalic, boolean bUnderline, boolean bStrikethrough, boolean bWordWrap, double dRotation, TextAlignment ta)`
`FontDefinition`
IGObjectFactory.`createFontDefinition(String sName, float fSize, boolean bBold, boolean bItalic, boolean bUnderline, boolean bStrikethrough, boolean bWordWrap, double dRotation, TextAlignment ta)`

## Uses of TextAlignment in org.eclipse.birt.chart.device

Methods in org.eclipse.birt.chart.device with parameters of type TextAlignment
Modifier and Type
Method
Description
`void`
ITextRenderer.`renderTextInBlock(IDeviceRenderer idr, Bounds boBlock, TextAlignment taBlock, Label la)`
`void`
TextRendererAdapter.`renderTextInBlock(IDeviceRenderer idr, Bounds boBlock, TextAlignment taBlock, Label la)`

## Uses of TextAlignment in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event that return TextAlignment
Modifier and Type
Method
Description
`final TextAlignment`
TextRenderEvent.`getBlockAlignment()`
Methods in org.eclipse.birt.chart.event with parameters of type TextAlignment
Modifier and Type
Method
Description
`final void`
TextRenderEvent.`setBlockAlignment(TextAlignment taBlock)`
Sets the block alignment of the text.

## Uses of TextAlignment in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return TextAlignment
Modifier and Type
Method
Description
`TextAlignment`
TextAlignment.`copyInstance()`
`TextAlignment`
AttributeFactory.`createTextAlignment()`
Returns a new object of class 'Text Alignment'.
`TextAlignment`
FontDefinition.`getAlignment()`
Returns the value of the 'Alignment' containment reference.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type TextAlignment
Modifier and Type
Method
Description
`void`
FontDefinition.`setAlignment(TextAlignment value)`
Sets the value of the '`Alignment`' containment reference.

## Uses of TextAlignment in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement TextAlignment
Modifier and Type
Class
Description
`class`
`TextAlignmentImpl`
An implementation of the model object ' Text Alignment'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return TextAlignment
Modifier and Type
Method
Description
`TextAlignment`
TextAlignmentImpl.`copyInstance()`
`static final TextAlignment`
TextAlignmentImpl.`create()`
A convenient method to create a new TextAlignment instance and initialize its members
`static final TextAlignment`
TextAlignmentImpl.`createDefault()`
A convenient method to create a new TextAlignment instance and initialize its members
`static final TextAlignment`
TextAlignmentImpl.`createDefault(HorizontalAlignment ha, VerticalAlignment va)`
A convenient method to create a new TextAlignment instance and initialize its members
`TextAlignment`
AttributeFactoryImpl.`createTextAlignment()`
`TextAlignment`
FontDefinitionImpl.`getAlignment()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type TextAlignment
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
FontDefinitionImpl.`basicSetAlignment(TextAlignment newAlignment, org.eclipse.emf.common.notify.NotificationChain msgs)`
`static final FontDefinition`
FontDefinitionImpl.`create(String sName, float fSize, boolean bBold, boolean bItalic, boolean bUnderline, boolean bStrikethrough, boolean bWordWrap, double dRotation, TextAlignment ta)`
NOTE: Manually written
`void`
FontDefinitionImpl.`setAlignment(TextAlignment newAlignment)`

## Uses of TextAlignment in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render that return TextAlignment
Modifier and Type
Method
Description
`TextAlignment`
BaseRenderer.`switchTextAlignment(TextAlignment ta)`
Switch TextAlignment value due to right-left setting.
Methods in org.eclipse.birt.chart.render with parameters of type TextAlignment
Modifier and Type
Method
Description
`TextAlignment`
BaseRenderer.`switchTextAlignment(TextAlignment ta)`
Switch TextAlignment value due to right-left setting.